// Code generated by protoc-gen-go. DO NOT EDIT.
// source: services.proto

package gauge_messages

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// RunnerClient is the client API for Runner service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type RunnerClient interface {
	// ValidateStep is a RPC to validate a given step.
	//
	// Accepts a StepValidateRequest message and returns a StepValidateResponse message
	ValidateStep(ctx context.Context, in *StepValidateRequest, opts ...grpc.CallOption) (*StepValidateResponse, error)
	// SuiteDataStoreInit is a RPC to initialize the suite level data store.
	//
	// Accepts a Empty message and returns a ExecutionStatusResponse message
	InitializeSuiteDataStore(ctx context.Context, in *SuiteDataStoreInitRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// ExecutionStarting is a RPC to tell runner to execute Suite level hooks.
	//
	// Accepts a ExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartExecution(ctx context.Context, in *ExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// SpecDataStoreInit is a RPC to initialize the spec level data store.
	//
	// Accepts a Empty message and returns a ExecutionStatusResponse message
	InitializeSpecDataStore(ctx context.Context, in *SpecDataStoreInitRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// SpecExecutionStarting is a RPC to tell runner to execute spec level hooks.
	//
	// Accepts a SpecExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartSpecExecution(ctx context.Context, in *SpecExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// ScenarioDataStoreInit is a RPC to initialize the scenario level data store.
	//
	// Accepts a Empty message and returns a ExecutionStatusResponse message
	InitializeScenarioDataStore(ctx context.Context, in *ScenarioDataStoreInitRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// ScenarioExecutionStarting is a RPC to tell runner to execute scenario level hooks.
	//
	// Accepts a ScenarioExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartScenarioExecution(ctx context.Context, in *ScenarioExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// StepExecutionStarting is a RPC to tell runner to execute step level hooks.
	//
	// Accepts a StepExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartStepExecution(ctx context.Context, in *StepExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// ExecuteStep is a RPC to tell runner to execute a step .
	//
	// Accepts a ExecuteStepRequest message and returns a ExecutionStatusResponse message
	ExecuteStep(ctx context.Context, in *ExecuteStepRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// StepExecutionEnding is a RPC to tell runner to execute step level hooks.
	//
	// Accepts a StepExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishStepExecution(ctx context.Context, in *StepExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// ScenarioExecutionEnding is a RPC to tell runner to execute Scenario level hooks.
	//
	// Accepts a ScenarioExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishScenarioExecution(ctx context.Context, in *ScenarioExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// SpecExecutionEnding is a RPC to tell runner to execute spec level hooks.
	//
	// Accepts a SpecExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishSpecExecution(ctx context.Context, in *SpecExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// ExecutionEnding is a RPC to tell runner to execute suite level hooks.
	//
	// Accepts a ExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishExecution(ctx context.Context, in *ExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error)
	// CacheFile is a RPC to tell runner to load/reload/unload a implementation file.
	//
	// Accepts a CacheFileRequest message and returns a Empty message
	CacheFile(ctx context.Context, in *CacheFileRequest, opts ...grpc.CallOption) (*Empty, error)
	// GetStepName is a RPC to get information about the given step.
	//
	// Accepts a StepNameRequest message and returns a StepNameResponse message.
	GetStepName(ctx context.Context, in *StepNameRequest, opts ...grpc.CallOption) (*StepNameResponse, error)
	// GetGlobPatterns is a RPC to get the file path pattern which needs to be cached.
	//
	// Accepts a Empty message and returns a ImplementationFileGlobPatternResponse message.
	GetGlobPatterns(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ImplementationFileGlobPatternResponse, error)
	// GetStepNames is a RPC to get all the available steps from the runner.
	//
	// Accepts a StepNamesRequest message and returns a StepNamesResponse
	GetStepNames(ctx context.Context, in *StepNamesRequest, opts ...grpc.CallOption) (*StepNamesResponse, error)
	// GetStepPositions is a RPC to get positions of all available steps in a given file.
	//
	// Accepts a StepPositionsRequest message and returns a StepPositionsResponse message
	GetStepPositions(ctx context.Context, in *StepPositionsRequest, opts ...grpc.CallOption) (*StepPositionsResponse, error)
	// GetImplementationFiles is a RPC get all the existing implementation files.
	//
	// Accepts a Empty and returns a ImplementationFileListResponse message.
	GetImplementationFiles(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ImplementationFileListResponse, error)
	// ImplementStub is a RPC to to ask runner to add a given implementation to given file.
	//
	// Accepts a StubImplementationCodeRequest and returns a FileDiff message.
	ImplementStub(ctx context.Context, in *StubImplementationCodeRequest, opts ...grpc.CallOption) (*FileDiff, error)
	// Refactor is a RPC to refactor a given step in implementation file.
	//
	// Accepts a RefactorRequest message and returns a RefactorResponse message.
	Refactor(ctx context.Context, in *RefactorRequest, opts ...grpc.CallOption) (*RefactorResponse, error)
	// Kill is a RPC tell plugin to stop grpc server and kill the plugin process.
	//
	// Accepts a KillProcessRequest message and returns a Empty message.
	Kill(ctx context.Context, in *KillProcessRequest, opts ...grpc.CallOption) (*Empty, error)
}

type runnerClient struct {
	cc *grpc.ClientConn
}

func NewRunnerClient(cc *grpc.ClientConn) RunnerClient {
	return &runnerClient{cc}
}

func (c *runnerClient) ValidateStep(ctx context.Context, in *StepValidateRequest, opts ...grpc.CallOption) (*StepValidateResponse, error) {
	out := new(StepValidateResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/ValidateStep", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) InitializeSuiteDataStore(ctx context.Context, in *SuiteDataStoreInitRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/InitializeSuiteDataStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) StartExecution(ctx context.Context, in *ExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/StartExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) InitializeSpecDataStore(ctx context.Context, in *SpecDataStoreInitRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/InitializeSpecDataStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) StartSpecExecution(ctx context.Context, in *SpecExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/StartSpecExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) InitializeScenarioDataStore(ctx context.Context, in *ScenarioDataStoreInitRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/InitializeScenarioDataStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) StartScenarioExecution(ctx context.Context, in *ScenarioExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/StartScenarioExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) StartStepExecution(ctx context.Context, in *StepExecutionStartingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/StartStepExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) ExecuteStep(ctx context.Context, in *ExecuteStepRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/ExecuteStep", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) FinishStepExecution(ctx context.Context, in *StepExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/FinishStepExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) FinishScenarioExecution(ctx context.Context, in *ScenarioExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/FinishScenarioExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) FinishSpecExecution(ctx context.Context, in *SpecExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/FinishSpecExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) FinishExecution(ctx context.Context, in *ExecutionEndingRequest, opts ...grpc.CallOption) (*ExecutionStatusResponse, error) {
	out := new(ExecutionStatusResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/FinishExecution", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) CacheFile(ctx context.Context, in *CacheFileRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/CacheFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) GetStepName(ctx context.Context, in *StepNameRequest, opts ...grpc.CallOption) (*StepNameResponse, error) {
	out := new(StepNameResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/GetStepName", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) GetGlobPatterns(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ImplementationFileGlobPatternResponse, error) {
	out := new(ImplementationFileGlobPatternResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/GetGlobPatterns", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) GetStepNames(ctx context.Context, in *StepNamesRequest, opts ...grpc.CallOption) (*StepNamesResponse, error) {
	out := new(StepNamesResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/GetStepNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) GetStepPositions(ctx context.Context, in *StepPositionsRequest, opts ...grpc.CallOption) (*StepPositionsResponse, error) {
	out := new(StepPositionsResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/GetStepPositions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) GetImplementationFiles(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ImplementationFileListResponse, error) {
	out := new(ImplementationFileListResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/GetImplementationFiles", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) ImplementStub(ctx context.Context, in *StubImplementationCodeRequest, opts ...grpc.CallOption) (*FileDiff, error) {
	out := new(FileDiff)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/ImplementStub", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) Refactor(ctx context.Context, in *RefactorRequest, opts ...grpc.CallOption) (*RefactorResponse, error) {
	out := new(RefactorResponse)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/Refactor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runnerClient) Kill(ctx context.Context, in *KillProcessRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Runner/Kill", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RunnerServer is the server API for Runner service.
type RunnerServer interface {
	// ValidateStep is a RPC to validate a given step.
	//
	// Accepts a StepValidateRequest message and returns a StepValidateResponse message
	ValidateStep(context.Context, *StepValidateRequest) (*StepValidateResponse, error)
	// SuiteDataStoreInit is a RPC to initialize the suite level data store.
	//
	// Accepts a Empty message and returns a ExecutionStatusResponse message
	InitializeSuiteDataStore(context.Context, *SuiteDataStoreInitRequest) (*ExecutionStatusResponse, error)
	// ExecutionStarting is a RPC to tell runner to execute Suite level hooks.
	//
	// Accepts a ExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartExecution(context.Context, *ExecutionStartingRequest) (*ExecutionStatusResponse, error)
	// SpecDataStoreInit is a RPC to initialize the spec level data store.
	//
	// Accepts a Empty message and returns a ExecutionStatusResponse message
	InitializeSpecDataStore(context.Context, *SpecDataStoreInitRequest) (*ExecutionStatusResponse, error)
	// SpecExecutionStarting is a RPC to tell runner to execute spec level hooks.
	//
	// Accepts a SpecExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartSpecExecution(context.Context, *SpecExecutionStartingRequest) (*ExecutionStatusResponse, error)
	// ScenarioDataStoreInit is a RPC to initialize the scenario level data store.
	//
	// Accepts a Empty message and returns a ExecutionStatusResponse message
	InitializeScenarioDataStore(context.Context, *ScenarioDataStoreInitRequest) (*ExecutionStatusResponse, error)
	// ScenarioExecutionStarting is a RPC to tell runner to execute scenario level hooks.
	//
	// Accepts a ScenarioExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartScenarioExecution(context.Context, *ScenarioExecutionStartingRequest) (*ExecutionStatusResponse, error)
	// StepExecutionStarting is a RPC to tell runner to execute step level hooks.
	//
	// Accepts a StepExecutionStartingRequest message and returns a ExecutionStatusResponse message
	StartStepExecution(context.Context, *StepExecutionStartingRequest) (*ExecutionStatusResponse, error)
	// ExecuteStep is a RPC to tell runner to execute a step .
	//
	// Accepts a ExecuteStepRequest message and returns a ExecutionStatusResponse message
	ExecuteStep(context.Context, *ExecuteStepRequest) (*ExecutionStatusResponse, error)
	// StepExecutionEnding is a RPC to tell runner to execute step level hooks.
	//
	// Accepts a StepExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishStepExecution(context.Context, *StepExecutionEndingRequest) (*ExecutionStatusResponse, error)
	// ScenarioExecutionEnding is a RPC to tell runner to execute Scenario level hooks.
	//
	// Accepts a ScenarioExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishScenarioExecution(context.Context, *ScenarioExecutionEndingRequest) (*ExecutionStatusResponse, error)
	// SpecExecutionEnding is a RPC to tell runner to execute spec level hooks.
	//
	// Accepts a SpecExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishSpecExecution(context.Context, *SpecExecutionEndingRequest) (*ExecutionStatusResponse, error)
	// ExecutionEnding is a RPC to tell runner to execute suite level hooks.
	//
	// Accepts a ExecutionEndingRequest message and returns a ExecutionStatusResponse message
	FinishExecution(context.Context, *ExecutionEndingRequest) (*ExecutionStatusResponse, error)
	// CacheFile is a RPC to tell runner to load/reload/unload a implementation file.
	//
	// Accepts a CacheFileRequest message and returns a Empty message
	CacheFile(context.Context, *CacheFileRequest) (*Empty, error)
	// GetStepName is a RPC to get information about the given step.
	//
	// Accepts a StepNameRequest message and returns a StepNameResponse message.
	GetStepName(context.Context, *StepNameRequest) (*StepNameResponse, error)
	// GetGlobPatterns is a RPC to get the file path pattern which needs to be cached.
	//
	// Accepts a Empty message and returns a ImplementationFileGlobPatternResponse message.
	GetGlobPatterns(context.Context, *Empty) (*ImplementationFileGlobPatternResponse, error)
	// GetStepNames is a RPC to get all the available steps from the runner.
	//
	// Accepts a StepNamesRequest message and returns a StepNamesResponse
	GetStepNames(context.Context, *StepNamesRequest) (*StepNamesResponse, error)
	// GetStepPositions is a RPC to get positions of all available steps in a given file.
	//
	// Accepts a StepPositionsRequest message and returns a StepPositionsResponse message
	GetStepPositions(context.Context, *StepPositionsRequest) (*StepPositionsResponse, error)
	// GetImplementationFiles is a RPC get all the existing implementation files.
	//
	// Accepts a Empty and returns a ImplementationFileListResponse message.
	GetImplementationFiles(context.Context, *Empty) (*ImplementationFileListResponse, error)
	// ImplementStub is a RPC to to ask runner to add a given implementation to given file.
	//
	// Accepts a StubImplementationCodeRequest and returns a FileDiff message.
	ImplementStub(context.Context, *StubImplementationCodeRequest) (*FileDiff, error)
	// Refactor is a RPC to refactor a given step in implementation file.
	//
	// Accepts a RefactorRequest message and returns a RefactorResponse message.
	Refactor(context.Context, *RefactorRequest) (*RefactorResponse, error)
	// Kill is a RPC tell plugin to stop grpc server and kill the plugin process.
	//
	// Accepts a KillProcessRequest message and returns a Empty message.
	Kill(context.Context, *KillProcessRequest) (*Empty, error)
}

func RegisterRunnerServer(s *grpc.Server, srv RunnerServer) {
	s.RegisterService(&_Runner_serviceDesc, srv)
}

func _Runner_ValidateStep_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepValidateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).ValidateStep(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/ValidateStep",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).ValidateStep(ctx, req.(*StepValidateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_InitializeSuiteDataStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SuiteDataStoreInitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).InitializeSuiteDataStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/InitializeSuiteDataStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).InitializeSuiteDataStore(ctx, req.(*SuiteDataStoreInitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_StartExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).StartExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/StartExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).StartExecution(ctx, req.(*ExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_InitializeSpecDataStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SpecDataStoreInitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).InitializeSpecDataStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/InitializeSpecDataStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).InitializeSpecDataStore(ctx, req.(*SpecDataStoreInitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_StartSpecExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SpecExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).StartSpecExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/StartSpecExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).StartSpecExecution(ctx, req.(*SpecExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_InitializeScenarioDataStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScenarioDataStoreInitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).InitializeScenarioDataStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/InitializeScenarioDataStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).InitializeScenarioDataStore(ctx, req.(*ScenarioDataStoreInitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_StartScenarioExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScenarioExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).StartScenarioExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/StartScenarioExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).StartScenarioExecution(ctx, req.(*ScenarioExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_StartStepExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).StartStepExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/StartStepExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).StartStepExecution(ctx, req.(*StepExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_ExecuteStep_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExecuteStepRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).ExecuteStep(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/ExecuteStep",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).ExecuteStep(ctx, req.(*ExecuteStepRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_FinishStepExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).FinishStepExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/FinishStepExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).FinishStepExecution(ctx, req.(*StepExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_FinishScenarioExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScenarioExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).FinishScenarioExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/FinishScenarioExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).FinishScenarioExecution(ctx, req.(*ScenarioExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_FinishSpecExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SpecExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).FinishSpecExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/FinishSpecExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).FinishSpecExecution(ctx, req.(*SpecExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_FinishExecution_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).FinishExecution(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/FinishExecution",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).FinishExecution(ctx, req.(*ExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_CacheFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CacheFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).CacheFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/CacheFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).CacheFile(ctx, req.(*CacheFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_GetStepName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepNameRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).GetStepName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/GetStepName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).GetStepName(ctx, req.(*StepNameRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_GetGlobPatterns_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).GetGlobPatterns(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/GetGlobPatterns",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).GetGlobPatterns(ctx, req.(*Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_GetStepNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).GetStepNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/GetStepNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).GetStepNames(ctx, req.(*StepNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_GetStepPositions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepPositionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).GetStepPositions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/GetStepPositions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).GetStepPositions(ctx, req.(*StepPositionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_GetImplementationFiles_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).GetImplementationFiles(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/GetImplementationFiles",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).GetImplementationFiles(ctx, req.(*Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_ImplementStub_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StubImplementationCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).ImplementStub(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/ImplementStub",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).ImplementStub(ctx, req.(*StubImplementationCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_Refactor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RefactorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).Refactor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/Refactor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).Refactor(ctx, req.(*RefactorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runner_Kill_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(KillProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RunnerServer).Kill(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Runner/Kill",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RunnerServer).Kill(ctx, req.(*KillProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Runner_serviceDesc = grpc.ServiceDesc{
	ServiceName: "gauge.messages.Runner",
	HandlerType: (*RunnerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ValidateStep",
			Handler:    _Runner_ValidateStep_Handler,
		},
		{
			MethodName: "InitializeSuiteDataStore",
			Handler:    _Runner_InitializeSuiteDataStore_Handler,
		},
		{
			MethodName: "StartExecution",
			Handler:    _Runner_StartExecution_Handler,
		},
		{
			MethodName: "InitializeSpecDataStore",
			Handler:    _Runner_InitializeSpecDataStore_Handler,
		},
		{
			MethodName: "StartSpecExecution",
			Handler:    _Runner_StartSpecExecution_Handler,
		},
		{
			MethodName: "InitializeScenarioDataStore",
			Handler:    _Runner_InitializeScenarioDataStore_Handler,
		},
		{
			MethodName: "StartScenarioExecution",
			Handler:    _Runner_StartScenarioExecution_Handler,
		},
		{
			MethodName: "StartStepExecution",
			Handler:    _Runner_StartStepExecution_Handler,
		},
		{
			MethodName: "ExecuteStep",
			Handler:    _Runner_ExecuteStep_Handler,
		},
		{
			MethodName: "FinishStepExecution",
			Handler:    _Runner_FinishStepExecution_Handler,
		},
		{
			MethodName: "FinishScenarioExecution",
			Handler:    _Runner_FinishScenarioExecution_Handler,
		},
		{
			MethodName: "FinishSpecExecution",
			Handler:    _Runner_FinishSpecExecution_Handler,
		},
		{
			MethodName: "FinishExecution",
			Handler:    _Runner_FinishExecution_Handler,
		},
		{
			MethodName: "CacheFile",
			Handler:    _Runner_CacheFile_Handler,
		},
		{
			MethodName: "GetStepName",
			Handler:    _Runner_GetStepName_Handler,
		},
		{
			MethodName: "GetGlobPatterns",
			Handler:    _Runner_GetGlobPatterns_Handler,
		},
		{
			MethodName: "GetStepNames",
			Handler:    _Runner_GetStepNames_Handler,
		},
		{
			MethodName: "GetStepPositions",
			Handler:    _Runner_GetStepPositions_Handler,
		},
		{
			MethodName: "GetImplementationFiles",
			Handler:    _Runner_GetImplementationFiles_Handler,
		},
		{
			MethodName: "ImplementStub",
			Handler:    _Runner_ImplementStub_Handler,
		},
		{
			MethodName: "Refactor",
			Handler:    _Runner_Refactor_Handler,
		},
		{
			MethodName: "Kill",
			Handler:    _Runner_Kill_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "services.proto",
}

// ReporterClient is the client API for Reporter service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ReporterClient interface {
	// NotifyExecutionStarting is a RPC to tell plugins that the execution has started.
	//
	// Accepts a ExecutionStartingRequest message and returns a Empty message
	NotifyExecutionStarting(ctx context.Context, in *ExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifySpecExecutionStarting is a RPC to tell plugins that the specification execution has started.
	//
	// Accepts a SpecExecutionStartingRequest message and returns a Empty message
	NotifySpecExecutionStarting(ctx context.Context, in *SpecExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifyScenarioExecutionStarting is a RPC to tell plugins that the scenario execution has started.
	//
	// Accepts a ScenarioExecutionStartingRequest message and returns a Empty message
	NotifyScenarioExecutionStarting(ctx context.Context, in *ScenarioExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifyStepExecutionStarting is a RPC to tell plugins that the step execution has started.
	//
	// Accepts a StepExecutionStartingRequest message and returns a Empty message
	NotifyStepExecutionStarting(ctx context.Context, in *StepExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifyStepExecutionEnding is a RPC to tell plugins that the step execution has finished.
	//
	// Accepts a StepExecutionStartingRequest message and returns a Empty message
	NotifyStepExecutionEnding(ctx context.Context, in *StepExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifyScenarioExecutionEnding is a RPC to tell plugins that the scenario execution has finished.
	//
	// Accepts a ScenarioExecutionEndingRequest message and returns a Empty message
	NotifyScenarioExecutionEnding(ctx context.Context, in *ScenarioExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifySpecExecutionEnding is a RPC to tell plugins that the specification execution has finished.
	//
	// Accepts a SpecExecutionStartingRequest message and returns a Empty message
	NotifySpecExecutionEnding(ctx context.Context, in *SpecExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifyExecutionEnding is a RPC to tell plugins that the execution has finished.
	//
	// Accepts a ExecutionEndingRequest message and returns a Empty message
	NotifyExecutionEnding(ctx context.Context, in *ExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error)
	// NotifySuiteResult is a RPC to tell about the end result of execution
	//
	// Accepts a SuiteExecutionResult message and returns a Empty message.
	NotifySuiteResult(ctx context.Context, in *SuiteExecutionResult, opts ...grpc.CallOption) (*Empty, error)
	// Kill is a RPC tell plugin to stop grpc server and kill the plugin process.
	//
	// Accepts a KillProcessRequest message and returns a Empty message.
	Kill(ctx context.Context, in *KillProcessRequest, opts ...grpc.CallOption) (*Empty, error)
}

type reporterClient struct {
	cc *grpc.ClientConn
}

func NewReporterClient(cc *grpc.ClientConn) ReporterClient {
	return &reporterClient{cc}
}

func (c *reporterClient) NotifyExecutionStarting(ctx context.Context, in *ExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifyExecutionStarting", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifySpecExecutionStarting(ctx context.Context, in *SpecExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifySpecExecutionStarting", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifyScenarioExecutionStarting(ctx context.Context, in *ScenarioExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifyScenarioExecutionStarting", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifyStepExecutionStarting(ctx context.Context, in *StepExecutionStartingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifyStepExecutionStarting", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifyStepExecutionEnding(ctx context.Context, in *StepExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifyStepExecutionEnding", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifyScenarioExecutionEnding(ctx context.Context, in *ScenarioExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifyScenarioExecutionEnding", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifySpecExecutionEnding(ctx context.Context, in *SpecExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifySpecExecutionEnding", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifyExecutionEnding(ctx context.Context, in *ExecutionEndingRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifyExecutionEnding", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) NotifySuiteResult(ctx context.Context, in *SuiteExecutionResult, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/NotifySuiteResult", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *reporterClient) Kill(ctx context.Context, in *KillProcessRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Reporter/Kill", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ReporterServer is the server API for Reporter service.
type ReporterServer interface {
	// NotifyExecutionStarting is a RPC to tell plugins that the execution has started.
	//
	// Accepts a ExecutionStartingRequest message and returns a Empty message
	NotifyExecutionStarting(context.Context, *ExecutionStartingRequest) (*Empty, error)
	// NotifySpecExecutionStarting is a RPC to tell plugins that the specification execution has started.
	//
	// Accepts a SpecExecutionStartingRequest message and returns a Empty message
	NotifySpecExecutionStarting(context.Context, *SpecExecutionStartingRequest) (*Empty, error)
	// NotifyScenarioExecutionStarting is a RPC to tell plugins that the scenario execution has started.
	//
	// Accepts a ScenarioExecutionStartingRequest message and returns a Empty message
	NotifyScenarioExecutionStarting(context.Context, *ScenarioExecutionStartingRequest) (*Empty, error)
	// NotifyStepExecutionStarting is a RPC to tell plugins that the step execution has started.
	//
	// Accepts a StepExecutionStartingRequest message and returns a Empty message
	NotifyStepExecutionStarting(context.Context, *StepExecutionStartingRequest) (*Empty, error)
	// NotifyStepExecutionEnding is a RPC to tell plugins that the step execution has finished.
	//
	// Accepts a StepExecutionStartingRequest message and returns a Empty message
	NotifyStepExecutionEnding(context.Context, *StepExecutionEndingRequest) (*Empty, error)
	// NotifyScenarioExecutionEnding is a RPC to tell plugins that the scenario execution has finished.
	//
	// Accepts a ScenarioExecutionEndingRequest message and returns a Empty message
	NotifyScenarioExecutionEnding(context.Context, *ScenarioExecutionEndingRequest) (*Empty, error)
	// NotifySpecExecutionEnding is a RPC to tell plugins that the specification execution has finished.
	//
	// Accepts a SpecExecutionStartingRequest message and returns a Empty message
	NotifySpecExecutionEnding(context.Context, *SpecExecutionEndingRequest) (*Empty, error)
	// NotifyExecutionEnding is a RPC to tell plugins that the execution has finished.
	//
	// Accepts a ExecutionEndingRequest message and returns a Empty message
	NotifyExecutionEnding(context.Context, *ExecutionEndingRequest) (*Empty, error)
	// NotifySuiteResult is a RPC to tell about the end result of execution
	//
	// Accepts a SuiteExecutionResult message and returns a Empty message.
	NotifySuiteResult(context.Context, *SuiteExecutionResult) (*Empty, error)
	// Kill is a RPC tell plugin to stop grpc server and kill the plugin process.
	//
	// Accepts a KillProcessRequest message and returns a Empty message.
	Kill(context.Context, *KillProcessRequest) (*Empty, error)
}

func RegisterReporterServer(s *grpc.Server, srv ReporterServer) {
	s.RegisterService(&_Reporter_serviceDesc, srv)
}

func _Reporter_NotifyExecutionStarting_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifyExecutionStarting(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifyExecutionStarting",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifyExecutionStarting(ctx, req.(*ExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifySpecExecutionStarting_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SpecExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifySpecExecutionStarting(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifySpecExecutionStarting",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifySpecExecutionStarting(ctx, req.(*SpecExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifyScenarioExecutionStarting_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScenarioExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifyScenarioExecutionStarting(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifyScenarioExecutionStarting",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifyScenarioExecutionStarting(ctx, req.(*ScenarioExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifyStepExecutionStarting_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepExecutionStartingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifyStepExecutionStarting(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifyStepExecutionStarting",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifyStepExecutionStarting(ctx, req.(*StepExecutionStartingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifyStepExecutionEnding_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StepExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifyStepExecutionEnding(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifyStepExecutionEnding",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifyStepExecutionEnding(ctx, req.(*StepExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifyScenarioExecutionEnding_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ScenarioExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifyScenarioExecutionEnding(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifyScenarioExecutionEnding",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifyScenarioExecutionEnding(ctx, req.(*ScenarioExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifySpecExecutionEnding_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SpecExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifySpecExecutionEnding(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifySpecExecutionEnding",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifySpecExecutionEnding(ctx, req.(*SpecExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifyExecutionEnding_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExecutionEndingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifyExecutionEnding(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifyExecutionEnding",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifyExecutionEnding(ctx, req.(*ExecutionEndingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_NotifySuiteResult_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SuiteExecutionResult)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).NotifySuiteResult(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/NotifySuiteResult",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).NotifySuiteResult(ctx, req.(*SuiteExecutionResult))
	}
	return interceptor(ctx, in, info, handler)
}

func _Reporter_Kill_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(KillProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ReporterServer).Kill(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Reporter/Kill",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ReporterServer).Kill(ctx, req.(*KillProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Reporter_serviceDesc = grpc.ServiceDesc{
	ServiceName: "gauge.messages.Reporter",
	HandlerType: (*ReporterServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "NotifyExecutionStarting",
			Handler:    _Reporter_NotifyExecutionStarting_Handler,
		},
		{
			MethodName: "NotifySpecExecutionStarting",
			Handler:    _Reporter_NotifySpecExecutionStarting_Handler,
		},
		{
			MethodName: "NotifyScenarioExecutionStarting",
			Handler:    _Reporter_NotifyScenarioExecutionStarting_Handler,
		},
		{
			MethodName: "NotifyStepExecutionStarting",
			Handler:    _Reporter_NotifyStepExecutionStarting_Handler,
		},
		{
			MethodName: "NotifyStepExecutionEnding",
			Handler:    _Reporter_NotifyStepExecutionEnding_Handler,
		},
		{
			MethodName: "NotifyScenarioExecutionEnding",
			Handler:    _Reporter_NotifyScenarioExecutionEnding_Handler,
		},
		{
			MethodName: "NotifySpecExecutionEnding",
			Handler:    _Reporter_NotifySpecExecutionEnding_Handler,
		},
		{
			MethodName: "NotifyExecutionEnding",
			Handler:    _Reporter_NotifyExecutionEnding_Handler,
		},
		{
			MethodName: "NotifySuiteResult",
			Handler:    _Reporter_NotifySuiteResult_Handler,
		},
		{
			MethodName: "Kill",
			Handler:    _Reporter_Kill_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "services.proto",
}

// DocumenterClient is the client API for Documenter service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DocumenterClient interface {
	// GenerateDocs is a RPC tell plugin to generate docs from the spec details.
	//
	// Accepts a SpecDetails message and returns a Empty message.
	GenerateDocs(ctx context.Context, in *SpecDetails, opts ...grpc.CallOption) (*Empty, error)
	// Kill is a RPC tell plugin to stop grpc server and kill the plugin process.
	//
	// Accepts a KillProcessRequest message and returns a Empty message.
	Kill(ctx context.Context, in *KillProcessRequest, opts ...grpc.CallOption) (*Empty, error)
}

type documenterClient struct {
	cc *grpc.ClientConn
}

func NewDocumenterClient(cc *grpc.ClientConn) DocumenterClient {
	return &documenterClient{cc}
}

func (c *documenterClient) GenerateDocs(ctx context.Context, in *SpecDetails, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Documenter/GenerateDocs", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documenterClient) Kill(ctx context.Context, in *KillProcessRequest, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/gauge.messages.Documenter/Kill", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DocumenterServer is the server API for Documenter service.
type DocumenterServer interface {
	// GenerateDocs is a RPC tell plugin to generate docs from the spec details.
	//
	// Accepts a SpecDetails message and returns a Empty message.
	GenerateDocs(context.Context, *SpecDetails) (*Empty, error)
	// Kill is a RPC tell plugin to stop grpc server and kill the plugin process.
	//
	// Accepts a KillProcessRequest message and returns a Empty message.
	Kill(context.Context, *KillProcessRequest) (*Empty, error)
}

func RegisterDocumenterServer(s *grpc.Server, srv DocumenterServer) {
	s.RegisterService(&_Documenter_serviceDesc, srv)
}

func _Documenter_GenerateDocs_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SpecDetails)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumenterServer).GenerateDocs(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Documenter/GenerateDocs",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumenterServer).GenerateDocs(ctx, req.(*SpecDetails))
	}
	return interceptor(ctx, in, info, handler)
}

func _Documenter_Kill_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(KillProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumenterServer).Kill(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gauge.messages.Documenter/Kill",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumenterServer).Kill(ctx, req.(*KillProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Documenter_serviceDesc = grpc.ServiceDesc{
	ServiceName: "gauge.messages.Documenter",
	HandlerType: (*DocumenterServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GenerateDocs",
			Handler:    _Documenter_GenerateDocs_Handler,
		},
		{
			MethodName: "Kill",
			Handler:    _Documenter_Kill_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "services.proto",
}

func init() { proto.RegisterFile("services.proto", fileDescriptor_8e16ccb8c5307b32) }

var fileDescriptor_8e16ccb8c5307b32 = []byte{
	// 731 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x57, 0xeb, 0x4e, 0x13, 0x41,
	0x14, 0x8e, 0xc6, 0xa0, 0x1e, 0xb0, 0xe0, 0x18, 0x2e, 0x42, 0x0c, 0x78, 0x17, 0xa2, 0x8d, 0xc1,
	0xf8, 0x00, 0x42, 0xa1, 0x21, 0x0a, 0x69, 0xda, 0x84, 0x28, 0x3f, 0x34, 0xd3, 0xe5, 0xb4, 0x1d,
	0xd8, 0xee, 0xac, 0x33, 0x67, 0x55, 0x7c, 0x0d, 0xdf, 0xc2, 0x3f, 0x3e, 0x9c, 0x2f, 0x60, 0xa6,
	0x7b, 0xe9, 0x65, 0x77, 0xb6, 0xee, 0xa2, 0xff, 0x9a, 0x39, 0xe7, 0x7c, 0xdf, 0xf9, 0xe6, 0x72,
	0xbe, 0x2d, 0x54, 0x34, 0xaa, 0x2f, 0xc2, 0x41, 0x5d, 0xf5, 0x95, 0x24, 0xc9, 0x2a, 0x5d, 0x1e,
	0x74, 0xb1, 0xda, 0x47, 0xad, 0x79, 0x17, 0xf5, 0x6a, 0x25, 0xfe, 0x15, 0xc6, 0xb7, 0x7f, 0x2f,
	0xc0, 0x4c, 0x33, 0xf0, 0x3c, 0x54, 0xec, 0x03, 0xcc, 0x1d, 0x73, 0x57, 0x9c, 0x72, 0xc2, 0x16,
	0xa1, 0xcf, 0x1e, 0x56, 0xc7, 0x6b, 0xab, 0x66, 0x35, 0xce, 0x68, 0xe2, 0xe7, 0x00, 0x35, 0xad,
	0x3e, 0xca, 0x4f, 0xd2, 0xbe, 0xf4, 0x34, 0x32, 0x0f, 0x56, 0x0e, 0x3c, 0x41, 0x82, 0xbb, 0xe2,
	0x3b, 0xb6, 0x02, 0x41, 0x58, 0xe3, 0xc4, 0x5b, 0x24, 0x15, 0xb2, 0xcd, 0x14, 0xc2, 0x58, 0xdc,
	0xd4, 0xc5, 0x64, 0x4f, 0x27, 0x53, 0xf7, 0xbe, 0xa1, 0x13, 0x90, 0x90, 0x5e, 0x8b, 0x38, 0x05,
	0x3a, 0xe1, 0x73, 0xa0, 0xd2, 0x22, 0xae, 0x28, 0x89, 0xb3, 0x67, 0x79, 0xa5, 0x8a, 0x84, 0xd7,
	0x2d, 0x4c, 0xe2, 0xc2, 0xf2, 0x88, 0x28, 0x1f, 0x9d, 0xa1, 0xa6, 0x14, 0xdb, 0x58, 0xb8, 0x94,
	0xa4, 0x73, 0x60, 0x83, 0x4e, 0x0d, 0xd2, 0x50, 0xd6, 0xf3, 0x2c, 0xa2, 0xcb, 0x4b, 0x23, 0x58,
	0x1b, 0x91, 0xe6, 0xa0, 0xc7, 0x95, 0x90, 0x43, 0x79, 0x69, 0xd6, 0xc9, 0x94, 0x52, 0x12, 0x35,
	0x2c, 0x85, 0x12, 0x23, 0xb4, 0xa1, 0xcc, 0x97, 0x36, 0xc2, 0xcb, 0x4b, 0x4d, 0xf6, 0x95, 0xd0,
	0xcf, 0xdb, 0xd7, 0xd1, 0x70, 0x69, 0xb2, 0x13, 0x98, 0x0d, 0x43, 0xe1, 0x0b, 0x7b, 0x90, 0x5d,
	0x37, 0x08, 0x16, 0xc6, 0x3e, 0x83, 0x3b, 0xfb, 0xc2, 0x13, 0xba, 0x37, 0xae, 0x64, 0x2b, 0x57,
	0xc9, 0x9e, 0x77, 0x5a, 0x46, 0x87, 0x82, 0xe5, 0x88, 0x2b, 0x75, 0x54, 0xd5, 0xa9, 0x47, 0x55,
	0x92, 0x73, 0xa8, 0x6f, 0xec, 0x05, 0x6c, 0xe5, 0xbe, 0x80, 0x92, 0x5c, 0x6d, 0x98, 0x0f, 0xb9,
	0x86, 0x3c, 0x4f, 0xac, 0xb5, 0x25, 0x39, 0x6a, 0x70, 0x73, 0x97, 0x3b, 0x3d, 0xdc, 0x17, 0x2e,
	0xb2, 0x8d, 0xc9, 0xaa, 0x24, 0x14, 0xe3, 0x2e, 0xa6, 0x70, 0xfb, 0x3e, 0x5d, 0xb0, 0x06, 0xcc,
	0xd6, 0x71, 0x70, 0x79, 0x8f, 0x78, 0x1f, 0xd9, 0x7a, 0xd6, 0x69, 0x9b, 0x48, 0x0c, 0xb3, 0x61,
	0x4f, 0x88, 0xfa, 0xfa, 0x04, 0xf3, 0x75, 0xa4, 0xba, 0x2b, 0xdb, 0x0d, 0x4e, 0x84, 0xca, 0xd3,
	0x2c, 0x9b, 0x7b, 0xf5, 0xf5, 0xe4, 0xf2, 0x41, 0xdf, 0x77, 0xb1, 0x8f, 0x1e, 0x71, 0xa3, 0xd7,
	0x74, 0x3f, 0x02, 0x93, 0x10, 0xb4, 0x60, 0x6e, 0xa4, 0x65, 0xcd, 0xac, 0x2d, 0xe9, 0xb8, 0xe9,
	0xfb, 0x39, 0x19, 0x49, 0xd7, 0x0b, 0x11, 0x68, 0x43, 0x6a, 0x61, 0xe8, 0x35, 0xcb, 0xf4, 0xa6,
	0x24, 0x1c, 0x83, 0x3f, 0x9e, 0x92, 0x95, 0x10, 0x2c, 0xd5, 0x91, 0xd2, 0x0a, 0xad, 0xbb, 0x53,
	0x9d, 0xbe, 0x3b, 0xef, 0x84, 0xa6, 0x84, 0xe0, 0x3d, 0xdc, 0x4a, 0x32, 0x5a, 0x14, 0xb4, 0xd9,
	0x8b, 0x74, 0x63, 0x41, 0x7b, 0x1c, 0x64, 0x57, 0x9e, 0x26, 0x27, 0xbb, 0x32, 0x99, 0x6e, 0x18,
	0x6a, 0xa2, 0xd3, 0x61, 0x87, 0x70, 0xa3, 0x89, 0x1d, 0xee, 0x90, 0x54, 0xe9, 0x0b, 0x12, 0x47,
	0xac, 0x17, 0x64, 0x98, 0x10, 0x35, 0xfa, 0x06, 0xae, 0xbd, 0x15, 0xae, 0x9b, 0x9e, 0x5e, 0x66,
	0xb5, 0xa1, 0xa4, 0x83, 0x5a, 0xe7, 0xdf, 0xda, 0xed, 0x5f, 0xd7, 0x4d, 0x4b, 0xbe, 0x54, 0x84,
	0x8a, 0x9d, 0xc0, 0xf2, 0x91, 0x24, 0xd1, 0xb9, 0x48, 0xcd, 0xd7, 0x02, 0xae, 0x6d, 0x79, 0x1e,
	0x6d, 0x58, 0x0b, 0xb1, 0x33, 0x7d, 0xb1, 0xa0, 0x7d, 0x5a, 0x38, 0xce, 0x60, 0x3d, 0xe2, 0xb0,
	0x99, 0x52, 0x09, 0xff, 0x9a, 0xaa, 0x27, 0xcb, 0x8f, 0x0a, 0xda, 0x96, 0x85, 0xe3, 0x23, 0xdc,
	0xcd, 0xe0, 0x08, 0xa7, 0x5c, 0x21, 0x3b, 0xb1, 0xe0, 0x77, 0xe0, 0x9e, 0x65, 0xbf, 0x22, 0x8e,
	0xa2, 0x16, 0x32, 0x55, 0x47, 0xda, 0x11, 0x0a, 0xd9, 0x86, 0x05, 0xff, 0x18, 0x16, 0x27, 0xee,
	0x6d, 0x84, 0xfd, 0xb7, 0x56, 0x61, 0x1d, 0xe9, 0xb7, 0xa3, 0xbe, 0xcd, 0x87, 0x70, 0x13, 0x75,
	0xe0, 0x52, 0xc6, 0x2c, 0x33, 0xc1, 0x04, 0x38, 0xcc, 0xb2, 0x21, 0xfe, 0x83, 0x17, 0xfb, 0xe3,
	0x0a, 0x40, 0x4d, 0x3a, 0x81, 0x19, 0x3d, 0xa8, 0xd8, 0x8e, 0x99, 0xe1, 0x1e, 0x2a, 0x4e, 0x58,
	0x93, 0x8e, 0x66, 0x6b, 0x99, 0x1f, 0xbc, 0x48, 0x5c, 0xb8, 0xfa, 0xff, 0x75, 0xb5, 0xb3, 0x09,
	0x4b, 0x8e, 0xec, 0x57, 0xa9, 0x27, 0x83, 0x6e, 0x8f, 0xbe, 0x4a, 0x75, 0xae, 0xc3, 0xc4, 0x9f,
	0x57, 0x2b, 0xf5, 0x41, 0xc1, 0x61, 0x54, 0xd0, 0x9e, 0x19, 0xfc, 0xdf, 0x79, 0xf5, 0x27, 0x00,
	0x00, 0xff, 0xff, 0x70, 0x6d, 0xf5, 0xc5, 0x21, 0x0d, 0x00, 0x00,
}
